# Retrieve hotel custom dump

URL: https://docs.emergingtravel.com/docs/affiliate-api/static-content/retrieve-hotel-custom-dump/

Tags: affiliate

---


```
https://api.worldota.net/api/b2b/v3/hotel/custom/dump/
```

The call gets the [dump](/docs/glossary/#dump) customized by the request body.

Custom dumps (e.g., `ski`, `usa`, etc.) are curated manually or defined by internal business rules. Their content and criteria may change without notice and are not exhaustive.

For a comprehensive hotel selection by location or attributes, use the [Retrieve hotel dump](/docs/affiliate-api/static-content/retrieve-hotel-dump/) and apply your own filters.

> [!WARNING]
> The dump download link you receive from the API is temporary and will expire **1 hour after being issued**.
> 
> To download the dump, you must call the API method each time to obtain a fresh, valid link.



## Request example

```shell
curl --user '<KEY_ID>:<API_KEY>' 'https://api.worldota.net/api/b2b/v3/hotel/custom/dump/' \
--header 'Content-Type: application/json'
--data '{
  "type": "ski",
  "language": "en"
}'
```

## Request body



- **type** *(String, required)*

  <p>Type of the custom hotel dump.</p>
  > [!NOTE]
  > The possible values:
  > * `ski`.
  > * `apartments`.
  > * `usa`.
  > * `rome`.
  > * `london_apartments`.
  > * `uk`.
  > * `africa_preferable`.
  > * `asia_preferable`.
  > * `south_europe_cis_preferable`.
  > * `latin_america_preferable`.
  > * `middle_east_preferable`.
  > * `north_america_preferable`.
  > * `oceania_preferable`.
  > * `west_europe_preferable`.


- **language** *(String, optional)*

  <p>The language.</p>
  > [!NOTE]
  > The possible values:
  > * `ar` — Arabic.
  > * `bg` — Bulgarian.
  > * `cs` — Czech.
  > * `da` — Danish.
  > * `de` — German.
  > * `el` — Greek.
  > * `en` — English.
  > * `es` — Spanish.
  > * `fi` — Finnish.
  > * `fr` — French.
  > * `he` — Hebrew.
  > * `hu` — Hungarian.
  > * `it` — Italian.
  > * `ja` — Japanese.
  > * `kk` — Kazakh.
  > * `ko` — Korean.
  > * `nl` — Dutch.
  > * `no` — Norwegian Bokmål.
  > * `pl` — Polish.
  > * `pt` — Portuguese.
  > * `pt_PT` — European Portuguese.
  > * `ro` — Romanian.
  > * `ru` — Russian.
  > * `sq` — Albanian.
  > * `sr` — Serbian.
  > * `sv` — Swedish.
  > * `th` — Thai.
  > * `tr` — Turkish.
  > * `uk` — Ukrainian.
  > * `vi` — Vietnamese.
  > * `zh_CN` — Simplified Chinese.
  > * `zh_TW` — Traditional Chinese.





## Response



- **url** *(String)*

  <p>A direct link to download the dump file.</p>


- **last_update** *(DateTime)*

  <p>The date and time when this dump was last updated (in UTC, [ISO 8601 format](https://www.iso.org/iso-8601-date-and-time-format.html)
  
  ).</p>





## Response example

```json
{
  "data": {
    "last_update": "2020-07-01T00:38:13Z",
    "url": "https://.../partner_feed_v3_en.jsonl.zst?..." // link valid for 1 hour
  },
  "debug": null,
  "error": null,
  "status": "ok"
}
```
